Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.ereignis
Class Buntstift

    java.lang.Object
      sum.ereignis.Stift
          sum.ereignis.Buntstift

    public class Buntstift

extends Stift

Der Buntstift uebernimmt die Eigenschaften der Klasse Stift. Allerdings besitzt er darueber hinausgehende Eigenschaften, die einzeln gesetzt werden koennen: Farbe: weiss, schwarz, rot, gruen, blau, gelb, etc. Schriftart: standardSchrift etc. Schriftstil: standardStil, fett, kursiv etc. Schriftgroesse: 10 bzw. andere positive ganze Zahl Linienbreite: 1 bzw. andere positive ganze Zahl. Fuellmuster: durchsichtig, gefuellt etc. Fuer den Zustand (stiftHoch, stiftRunter) und den Modus (normalModus, wechselModus, radierModus) existieren Konstanten.

Version:
  7.0 vom 21.9.2008
Author:
  Bernard Schriek

Field Summary

Fields inherited from class sum.ereignis.Stift
`hatStroke, kenntPrivatschirm, NORMALMODUS, RADIERMODUS, WECHSELMODUS, zHoch, zSchreibModus, zStiftH, zStiftV, zWinkel`

Constructor Summary
`Buntstift()` Der Buntstift wird als Stift für den Bildschirm initialisiert und mit den Standardeinstellungen versehen.
`Buntstift(Fenster pFenster)` Der Buntstift wird als Stift fü ein Fenster initialisiert und mit den Standardeinstellungen versehen.

Method Summary
`int` | `linienbreite()` Der Buntstift liefert seine Linienbreite.
`int` | `linienBreite()` Der Buntstift liefert seine Linienbreite.
`void` | `setzeFarbe(Color pFarbe)` Die angegebene Farbe wird die aktuelle Farbe des Buntstifts.
`void` | `setzeFarbe(int pFarbe)` Die angegebene Farbe wird die aktuelle Farbe des Buntstifts.
`void` | `setzeFuellmuster(int pMuster)` Das angegebene Muster ist das aktuelle Muster des Buntstifts fuer Rechtecke und Kreise.
`void` | `setzeFuellMuster(int pMuster)` Das angegebene Muster ist das aktuelle Muster des Buntstifts fuer Rechtecke und Kreise.
`void` | `setzeLinienbreite(int pBreite)` Die angegebene Breite wird die aktuelle Linienbreite des Buntstifts.
`void` | `setzeLinienBreite(int pBreite)` Die angegebene Breite wird die aktuelle Linienbreite des Buntstifts.
`void` | `setzeSchriftart(String pArt)` Die angegebene Schriftart wird die aktuelle Schriftart des Buntstifts.
`void` | `setzeSchriftArt(String pArt)` Die angegebene Schriftart wird die aktuelle Schriftart des Buntstifts.
`void` | `setzeSchriftgroesse(int pGroesse)` Die angegebene Schriftgroesse wird die aktuelle Schriftgroesse des Buntstifts.
`void` | `setzeSchriftGroesse(int pGroesse)` Die angegebene Schriftgroesse wird die aktuelle Schriftgroesse des Buntstifts.
`void` | `setzeSchriftstil(int pStil)` Der angegebene Schriftstil wird der aktuelle Schriftstil des Buntstifts.
`void` | `setzeSchriftStil(int pStil)` Der angegebene Schriftstil wird der aktuelle Schriftstil des Buntstifts.
`protected void` | `setzeStandard()` wird intern von dem Constructor Buntstift() aufgerufen.
`protected void` | `setzeZustand(Graphics2D g)` wird intern vor dem Zeichnen aufgerufen.
`int` | `textbreite(String pText)` ermittelt die Breite des Texts unter Beruecksichtigung der Eigenschaften des Buntstifts.
`int` | `textBreite(String pText)` alternative Schreibweise
`int` | `zahlbreite(double pZahl)` ermittelt die Breite der Zahl unter Beruecksichtigung der Eigenschaften des Buntstifts.
`int` | `zahlBreite(double pZahl)` alternative Schreibweise
`int` | `zahlbreite(int pZahl)` ermittelt die Breite der Zahl unter Beruecksichtigung der Eigenschaften des Buntstifts.
`int` | `zahlBreite(int pZahl)` alternative Schreibweise
`int` | `zeichenbreite(char pZeichen)` ermittelt die Breite des Zeichens unter Beruecksichtigung der Eigenschaften des Buntstifts.
`int` | `zeichenBreite(char pZeichen)` alternative Schreibweise
`void` | `zeichneKreis(double pRadius)` Der Buntstift zeichnet in der aktuellen Farbe einen Kreis mit der aktuellen Position als Mittelpunkt und dem angegebenen Radius.
`protected void` | `zeichneLinie(double x1, double y1, double x2, double y2)` wird intern von bewegeBis() und bewegeUm() aufgerufen.
`void` | `zeichneRechteck(double pBreite, double pHoehe)` Der Buntstift zeichnet in der aktuellen Farbe und Linienbreite ein achsenparalleles Rechteck mit der aktuellen Position als linker oberer Ecke und der angegebenen Breite und Hoehe.

Methods inherited from class sum.ereignis.Stift
`bewegeBis, bewegeUm, dreheBis, dreheUm, dreheZu, get2DGraphics, gibFrei, hoch, hPosition, istUnten, normal, radiere, runter, schreibeText, schreibeText, schreibeZahl, schreibeZahl, vPosition, wechsle, winkel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Buntstift

    public Buntstift()

  Der Buntstift wird als Stift für den Bildschirm initialisiert und mit den Standardeinstellungen versehen.

### Buntstift

    public Buntstift(Fenster pFenster)

  Der Buntstift wird als Stift fü ein Fenster initialisiert und mit den Standardeinstellungen versehen.

Method Detail

### linienbreite

    public int linienbreite()

  Der Buntstift liefert seine Linienbreite. Schreibweise 1

  Returns:
    aktuelle Linienbreite des Buntstifts

### linienBreite

    public int linienBreite()

  Der Buntstift liefert seine Linienbreite. Schreibweise 2

  Returns:
    aktuelle Linienbreite des Buntstifts

### setzeFarbe

    public void setzeFarbe(Color pFarbe)

  Die angegebene Farbe wird die aktuelle Farbe des Buntstifts.

  Parameters:
    `pFarbe` - neue Farbe des Buntstifts

### setzeFarbe

    public void setzeFarbe(int pFarbe)

  Die angegebene Farbe wird die aktuelle Farbe des Buntstifts.

  Parameters:
    `pFarbe` - neue Farbe des Buntstifts

### setzeFuellmuster

    public void setzeFuellmuster(int pMuster)

  Das angegebene Muster ist das aktuelle Muster des Buntstifts fuer Rechtecke und Kreise. Schreibweise 1

  Parameters:
    `pMuster` - neues Fuellmuster des Buntstifts (siehe Klasse Muster)

### setzeFuellMuster

    public void setzeFuellMuster(int pMuster)

  Das angegebene Muster ist das aktuelle Muster des Buntstifts fuer Rechtecke und Kreise. Schreibweise 2

  Parameters:
    `pMuster` - neues Fuellmuster des Buntstifts (siehe Klasse Muster)

### setzeLinienbreite

    public void setzeLinienbreite(int pBreite)

  Die angegebene Breite wird die aktuelle Linienbreite des Buntstifts. Schreibweise 1

  Parameters:
    `pBreite` - neue Linienbreite des Buntstifts

### setzeLinienBreite

    public void setzeLinienBreite(int pBreite)

  Die angegebene Breite wird die aktuelle Linienbreite des Buntstifts. Schreibweise 2

  Parameters:
    `pBreite` - neue Linienbreite des Buntstifts

### setzeSchriftart

    public void setzeSchriftart(String pArt)

  Die angegebene Schriftart wird die aktuelle Schriftart des Buntstifts. Schreibweise 1

  Parameters:
    `pArt` - neuer Zeichensatz des Buntstifts

### setzeSchriftArt

    public void setzeSchriftArt(String pArt)

  Die angegebene Schriftart wird die aktuelle Schriftart des Buntstifts. Schreibweise 2

  Parameters:
    `pArt` - neuer Zeichensatz des Buntstifts

### setzeSchriftgroesse

    public void setzeSchriftgroesse(int pGroesse)

  Die angegebene Schriftgroesse wird die aktuelle Schriftgroesse des Buntstifts. Schreibweise 1

  Parameters:
    `pGroesse` - neuer Schriftgroesse des Buntstifts

### setzeSchriftGroesse

    public void setzeSchriftGroesse(int pGroesse)

  Die angegebene Schriftgroesse wird die aktuelle Schriftgroesse des Buntstifts. Schreibweise 2

  Parameters:
    `pGroesse` - neuer Schriftgroesse des Buntstifts

### setzeSchriftstil

    public void setzeSchriftstil(int pStil)

  Der angegebene Schriftstil wird der aktuelle Schriftstil des Buntstifts. Schreibweise 1

  Parameters:
    `pStil` - neuer Schriftstil des Buntstifts (siehe Klasse Schrift)

### setzeSchriftStil

    public void setzeSchriftStil(int pStil)

  Der angegebene Schriftstil wird der aktuelle Schriftstil des Buntstifts. Schreibweise 2

  Parameters:
    `pStil` - neuer Schriftstil des Buntstifts (siehe Klasse Schrift)

### setzeStandard

    protected void setzeStandard()

  wird intern von dem Constructor Buntstift() aufgerufen.

### setzeZustand

    protected void setzeZustand(Graphics2D g)

  wird intern vor dem Zeichnen aufgerufen.

  Overrides:
    `setzeZustand` in class `Stift`

### textbreite

    public int textbreite(String pText)

  ermittelt die Breite des Texts unter Beruecksichtigung der Eigenschaften des Buntstifts.

  Parameters:
    `pText` - der zu pruefende Text
  Returns:
    die Breite des Textes in Pixeln

### textBreite

    public int textBreite(String pText)

  alternative Schreibweise

  Parameters:
    `pText` - der zu pruefende Text
  Returns:
    die Breite des Textes in Pixeln

### zahlbreite

    public int zahlbreite(double pZahl)

  ermittelt die Breite der Zahl unter Beruecksichtigung der Eigenschaften des Buntstifts.

  Parameters:
    `pZahl` - die zu pruefende Zahl
  Returns:
    die Breite der Zahl in Pixeln

### zahlBreite

    public int zahlBreite(double pZahl)

  alternative Schreibweise

  Parameters:
    `pZahl` - die zu pruefende Zahl
  Returns:
    die Breite der Zahl in Pixeln

### zahlbreite

    public int zahlbreite(int pZahl)

  ermittelt die Breite der Zahl unter Beruecksichtigung der Eigenschaften des Buntstifts.

  Parameters:
    `pZahl` - die zu pruefende Zahl
  Returns:
    die Breite der Zahl in Pixeln

### zahlBreite

    public int zahlBreite(int pZahl)

  alternative Schreibweise

  Parameters:
    `pZahl` - die zu pruefende Zahl
  Returns:
    die Breite der Zahl in Pixeln

### zeichenbreite

    public int zeichenbreite(char pZeichen)

  ermittelt die Breite des Zeichens unter Beruecksichtigung der Eigenschaften des Buntstifts.

  Parameters:
    `pZeichen` - das zu pruefende Zeichen
  Returns:
    die Breite des Zeichens in Pixeln

### zeichenBreite

    public int zeichenBreite(char pZeichen)

  alternative Schreibweise

  Parameters:
    `pZeichen` - das zu pruefende Zeichen
  Returns:
    die Breite des Zeichens in Pixeln

### zeichneKreis

    public void zeichneKreis(double pRadius)

  Der Buntstift zeichnet in der aktuellen Farbe einen Kreis mit der aktuellen Position als Mittelpunkt und dem angegebenen Radius. Der Kreis ist mit dem aktuellen Muster gefuellt. Die Position und die Richtung des Buntstiftes sind unveraendert.

  Overrides:
    `zeichneKreis` in class `Stift`
  Parameters:
    `pRadius` - der Radius des Kreises

### zeichneLinie

    protected void zeichneLinie(double x1,
                                double y1,
                                double x2,
                                double y2)

  wird intern von bewegeBis() und bewegeUm() aufgerufen.

  Overrides:
    `zeichneLinie` in class `Stift`

### zeichneRechteck

    public void zeichneRechteck(double pBreite,
                                double pHoehe)

  Der Buntstift zeichnet in der aktuellen Farbe und Linienbreite ein achsenparalleles Rechteck mit der aktuellen Position als linker oberer Ecke und der angegebenen Breite und Hoehe. Das Rechteck wird mit dem aktuellen Muster gefuellt. Die Position und die Richtung des Buntstiftes sind unveraendert.

  Overrides:
    `zeichneRechteck` in class `Stift`
  Parameters:
    `pBreite` - die Breite des Rechtecks
    `pHoehe` - die Hoehe des Rechtecks

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD